Main Page Class Hierarchy Compound List File List Compound Members File Members

# SUDS_STATIONCOMP Struct Reference

`#include <sudshead.h>`

List of all members.

## Public Attributes
SUDS_STATIDENT | sc_name
SH_INT | azim
SH_INT | incid
LONLAT | st_lat
LONLAT | st_long
FLOAT | elev
CHAR | enclosure
CHAR | annotation
CHAR | recorder
CHAR | rockclass
SH_INT | rocktype
CHAR | sitecondition
CHAR | sensor_type
CHAR | data_type
CHAR | data_units
CHAR | polarity
CHAR | st_status
FLOAT | max_gain
FLOAT | clip_value
FLOAT | con_mvolts
SH_INT | channel
SH_INT | atod_gain
ST_TIME | effective
FLOAT | clock_correct
FLOAT | station_delay

## Member Data Documentation

CHAR SUDS_STATIONCOMP::annotation

| Definition at line 612 of file sudshead.h.

SH_INT SUDS_STATIONCOMP::atod_gain

| Definition at line 631 of file sudshead.h. Referenced by SwapDo().

SH_INT SUDS_STATIONCOMP::azim

| Definition at line 604 of file sudshead.h. Referenced by SwapDo().

SH_INT SUDS_STATIONCOMP::channel

| Definition at line 630 of file sudshead.h. Referenced by SwapDo().

FLOAT SUDS_STATIONCOMP::clip_value

| Definition at line 625 of file sudshead.h. Referenced by SwapDo().

FLOAT SUDS_STATIONCOMP::clock_correct

| Definition at line 633 of file sudshead.h. Referenced by SwapDo().

FLOAT SUDS_STATIONCOMP::con_mvolts

| Definition at line 626 of file sudshead.h. Referenced by SwapDo().

CHAR SUDS_STATIONCOMP::data_type

| Definition at line 619 of file sudshead.h. Referenced by SUDSPA_next().

CHAR SUDS_STATIONCOMP::data_units

| Definition at line 620 of file sudshead.h. Referenced by SUDSPA_next().

ST_TIME SUDS_STATIONCOMP::effective

| Definition at line 632 of file sudshead.h. Referenced by SwapDo().

FLOAT SUDS_STATIONCOMP::elev

| Definition at line 609 of file sudshead.h. Referenced by SwapDo().

CHAR SUDS_STATIONCOMP::enclosure

| Definition at line 610 of file sudshead.h.

SH_INT SUDS_STATIONCOMP::incid

| Definition at line 605 of file sudshead.h. Referenced by SwapDo().

FLOAT SUDS_STATIONCOMP::max_gain

| Definition at line 624 of file sudshead.h. Referenced by SwapDo().

CHAR SUDS_STATIONCOMP::polarity

| Definition at line 622 of file sudshead.h.

CHAR SUDS_STATIONCOMP::recorder

| Definition at line 613 of file sudshead.h.

CHAR SUDS_STATIONCOMP::rockclass

| Definition at line 614 of file sudshead.h.

SH_INT SUDS_STATIONCOMP::rocktype

| Definition at line 615 of file sudshead.h. Referenced by SwapDo().

SUDS_STATIDENT SUDS_STATIONCOMP::sc_name

| Definition at line 603 of file sudshead.h. Referenced by SUDSPA_next(), and SwapDo().

CHAR SUDS_STATIONCOMP::sensor_type

| Definition at line 617 of file sudshead.h.

CHAR SUDS_STATIONCOMP::sitecondition

| Definition at line 616 of file sudshead.h.

LONLAT SUDS_STATIONCOMP::st_lat

| Definition at line 607 of file sudshead.h. Referenced by SwapDo().

LONLAT SUDS_STATIONCOMP::st_long

| Definition at line 608 of file sudshead.h. Referenced by SwapDo().

CHAR SUDS_STATIONCOMP::st_status

| Definition at line 623 of file sudshead.h.

FLOAT SUDS_STATIONCOMP::station_delay

| Definition at line 634 of file sudshead.h. Referenced by SwapDo().

The documentation for this struct was generated from the following file:

- sudshead.h